Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5116)
@@ -159,5 +159,5 @@
   END DO
 
-  ! if(prt.level.GE.20) PRINT*,'cv3p2_closure apres 100'
+  ! IF(prt.level.GE.20) PRINT*,'cv3p2_closure apres 100'
   ! compute icbmax:
 
@@ -166,5 +166,5 @@
     icbmax = max(icbmax, icb(il))
   END DO
-  ! if(prt.level.GE.20) PRINT*,'cv3p2_closure apres 200'
+  ! IF(prt.level.GE.20) PRINT*,'cv3p2_closure apres 200'
 
   ! update sig and w0 below cloud base:
@@ -561,5 +561,5 @@
                                                (ph(il,icb(il)+1)-ph(il,icb(il)+2))
       ! IM beg
-    END IF !(icb(il.le.inb(il))) then
+    END IF !(icb(il.le.inb(il))) THEN
     ! IM end
   END DO
@@ -625,5 +625,5 @@
   DO k=1,nl
      DO il=1,ncum
-        if ((plfc(il)<ph(il,k)).and.(plfc(il)>=ph(il,k+1))) then
+        if ((plfc(il)<ph(il,k)).and.(plfc(il)>=ph(il,k+1))) THEN
            klfc(il)=k
         endif
@@ -638,5 +638,5 @@
 !CR: Add large-scale component to the mass-flux
 !encore connu sous le nom "Experience du tube de dentifrice"
-    if ((coef_clos_ls>0.).and.(plfc(il)>0.)) then
+    if ((coef_clos_ls>0.).and.(plfc(il)>0.)) THEN
        cbmfalp(il) = cbmfalp(il) - coef_clos_ls*min(0.,1./RG*omega(il,klfc(il)))
     endif
@@ -664,5 +664,5 @@
     IF (cbmflim(il)>1.E-6) THEN
       ! ATTENTION TEST CR
-      ! if (cbmfmax(il).lt.1.e-12) then
+      ! if (cbmfmax(il).lt.1.e-12) THEN
       cbmfalpb(il) = min(cbmfalp(il), cbmfmax(il))
       ! else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5116)
@@ -251,5 +251,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-! @      if(nent(il,i).eq.0)then
+! @      IF(nent(il,i).eq.0)THEN
 !!!       Ment(il,i,i)=m(il,i)
         Ment(il, i, i) = 1.
@@ -665,5 +665,5 @@
     DO il = 1, ncum
       IF (i>=icb(il) .AND. i<=inb(il) .AND. lwork(il) .AND. csum(il,i)<1.) THEN
-! cc     :     .and. csum(il,i).lt.m(il,i) ) then
+! cc     :     .and. csum(il,i).lt.m(il,i) ) THEN
         nent(il, i) = 0
 ! cc        Ment(il,i,i)=m(il,i)
@@ -686,5 +686,5 @@
 !jyg!      DO il = 1, ncum
 !jyg!        IF (i>=icb(il) .AND. i<=inb(il) .AND. lwork(il) .AND. csum(il,i)<1.) THEN
-!jyg!! cc     :     .and. csum(il,i).lt.m(il,i) ) then
+!jyg!! cc     :     .and. csum(il,i).lt.m(il,i) ) THEN
 !jyg!          traent(il, i, i, j) = tra(il, nk(il), j)
 !jyg!        END IF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90	(revision 5116)
@@ -592,5 +592,5 @@
         ! PRINT*,tp(i,k),ah0(i),cl,cpd,qnk(i),t(i,k),gz(i,k),alv,qg,cpd
         tp(i, k) = (ah0(i)-(cl-cpd)*qnk(i)*t(i,k)-gz(i,k)-alv*qg)/cpd
-        ! if (.not.cpd.gt.1000.) then
+        ! if (.not.cpd.gt.1000.) THEN
         ! PRINT*,'CPD=',cpd
         ! stop
@@ -663,10 +663,10 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! byp=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
@@ -690,9 +690,9 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5116)
@@ -750,5 +750,5 @@
 ! PRINT*, 'IFLAG1 avant cv3_feed'
 ! PRINT*,'len,nd',len,nd
-! write(*,'(64i1)') iflag1(2:len-1)
+! WRITE(*,'(64i1)') iflag1(2:len-1)
 
         if (prt_level >= 9) &
@@ -763,5 +763,5 @@
 ! PRINT*, 'IFLAG1 apres cv3_feed'
 ! PRINT*,'len,nd',len,nd
-! write(*,'(64i1)') iflag1(2:len-1)
+! WRITE(*,'(64i1)') iflag1(2:len-1)
 
   IF (iflag_con==4) THEN
@@ -813,5 +813,5 @@
 ! PRINT*, 'IFLAG1 apres cv3_triger'
 ! PRINT*,'len,nd',len,nd
-! write(*,'(64i1)') iflag1(2:len-1)
+! WRITE(*,'(64i1)') iflag1(2:len-1)
 
 ! CALL dump2d(iim,jjm-1,sig1(2)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5116)
@@ -133,5 +133,5 @@
 
 !  scavON=.TRUE.
-!  if(scavON) then
+!  IF(scavON) THEN
 !   ccntrAA_coef     = 1.
 !   ccntrENV_coef    = 1.
@@ -207,5 +207,5 @@
   DO j=1,klev
    DO i=1,klon
-    if(ev(i,j)<1.e-16) then
+    IF(ev(i,j)<1.e-16) THEN
      evap(i,j)=0.
     else
@@ -217,6 +217,6 @@
   DO j=1,klev
    DO i=1,klon
-   if(j<klev) then
-    if(epIN(i,j)<1.e-32) then
+   IF(j<klev) THEN
+    IF(epIN(i,j)<1.e-32) THEN
      ep(i,j)=0.
     else
@@ -226,25 +226,25 @@
     ep(i,j)=epmax
    endif
-    if(mpIN(i,j)<1.e-32) then
+    IF(mpIN(i,j)<1.e-32) THEN
      mp(i,j)=0.
     else
      mp(i,j)=mpIN(i,j)
     endif
-    if(pmflxsIN(i,j)<1.e-32) then
+    IF(pmflxsIN(i,j)<1.e-32) THEN
      pmflxs(i,j)=0.
     else
      pmflxs(i,j)=pmflxsIN(i,j)
     endif
-    if(pmflxrIN(i,j)<1.e-32) then
+    IF(pmflxrIN(i,j)<1.e-32) THEN
      pmflxr(i,j)=0.
     else
      pmflxr(i,j)=pmflxrIN(i,j)
     endif
-    if(wdtrainA(i,j)<1.e-32) then
+    IF(wdtrainA(i,j)<1.e-32) THEN
      Pa(i,j)=0.
     else
      Pa(i,j)=wdtrainA(i,j)
     endif
-    if(wdtrainM(i,j)<1.e-32) then
+    IF(wdtrainM(i,j)<1.e-32) THEN
      Pm(i,j)=0.
     else
@@ -285,5 +285,5 @@
      DO j=k-1,1,-1
         DO i=1,klon
-           if(mp(i,j+1)>1.e-10) then
+           IF(mp(i,j+1)>1.e-10) THEN
               zmd(i,j,k)=zmd(i,j+1,k)*min(1.,mp(i,j)/mp(i,j+1)) !det ~ mk(j)=mk(j+1)*mp(i,j)/mp(i,j+1)
            ENDif
@@ -302,5 +302,5 @@
      DO j=1,klev-1
         DO i=1,klon
-        if(mp(i,j+1)>1.e-10) then
+        IF(mp(i,j+1)>1.e-10) THEN
           qTrdi(i,j+1,it)=qTrdi(i,j+1,it)+(zmd(i,j+1,k)/mp(i,j+1))*tr(i,k,it)
         else
@@ -397,6 +397,6 @@
   DO j=1,klev
      DO i=1,klon
-        if(j>=icb(i).and.j<=inb(i)) then
-          if(clw(i,j)>1.e-16) then
+        IF(j>=icb(i).and.j<=inb(i)) THEN
+          IF(clw(i,j)>1.e-16) THEN
            qPa(i,j,it)=ccntrAA_coef*tr(i,1,it)/clw(i,j)
           else
@@ -413,7 +413,7 @@
       DO k=1,j-1
         DO i=1,klon
-        if(k>=icb(i).and.k<=inb(i).and.&
-           j<=inb(i)) then
-            if(elij(i,k,j)>1.e-16) then
+        IF(k>=icb(i).and.k<=inb(i).and.&
+           j<=inb(i)) THEN
+            IF(elij(i,k,j)>1.e-16) THEN
              qMeltmp(i,j,it)=((1-ep(i,k))*ccntrAA_coef*tr(i,1,it)&
                          *(1.-sij(i,k,j))  +ccntrENV_coef&
@@ -431,5 +431,5 @@
      DO j=1,klev
         DO i=1,klon
-          if(Mint(i,j)>1.e-16) then
+          IF(Mint(i,j)>1.e-16) THEN
            qMel(i,j,it)=qpmMint(i,j,it)/Mint(i,j)
           else
@@ -442,5 +442,5 @@
    DO j=klev-1,1,-1
     DO i=1,klon
-     if(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then  ! detrainement
+     IF(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then  ! detrainement
        kappa(i,j)=((pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
                 (-mp(i,j+1)-imp(i,j)/RG*dxpres(i,j))&
@@ -448,5 +448,5 @@
              
      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then! entrainement
-       if(j==1) then
+       IF(j==1) THEN
         kappa(i,j)=((pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
                  (-mp(i,2)-imp(i,j)/RG*dxpres(i,j))&
@@ -467,7 +467,7 @@
     if (abs(kappa(i,j))<1.e-25) then    !si denominateur nul (il peut y avoir des mp!=0)
      kappa(i,j)=1.
-     if(j==1) then
+     IF(j==1) THEN
        qDi(i,j,it)=qDi(i,j+1,it) !orig tr(i,j,it)   ! mp(1)=0 donc tout vient de la couche supérieure
-     elseif(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then
+     elseif(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) THEN
        qDi(i,j,it)=qDi(i,j+1,it)
      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then! entrainement
@@ -477,5 +477,5 @@
      endif 
 
-      if(NO_precip(i,j)) then
+      IF(NO_precip(i,j)) THEN
        qPr(i,j,it)=0.
       else
@@ -489,13 +489,13 @@
 ! calcul de qd et qp
 !!jyg  (20130119) correction pour le sommet du nuage
-!!     if(j.ge.inb(i)) then       !au-dessus du nuage, sommet inclu
-     if(j>inb(i)) then       !au-dessus du nuage
+!!     IF(j.ge.inb(i)) then       !au-dessus du nuage, sommet inclu
+     IF(j>inb(i)) then       !au-dessus du nuage
        qDi(i,j,it)=tr(i,j,it)   ! pas de descente => environnement = descente insaturee
        qPr(i,j,it)=0.
 
 !  vvv premiere couche du modele ou mp(1)=0  ! det tout le temps  vvv
-     elseif(j==1) then
-      if(mp(i,2)>1.e-10) then !mp(2) non nul -> detrainement (car mp(1) = 0) !ent pas possible
-       if(NO_precip(i,j)) then !pas de precip en (i)
+     elseif(j==1) THEN
+      IF(mp(i,2)>1.e-10) then !mp(2) non nul -> detrainement (car mp(1) = 0) !ent pas possible
+       IF(NO_precip(i,j)) then !pas de precip en (i)
         qDi(i,j,it)=qDi(i,j+1,it)
         qPr(i,j,it)=0.
@@ -516,5 +516,5 @@
       else !mp(2) nul -> plus de descente insaturee -> pluie agit sur environnement
         qDi(i,j,it)=tr(i,j,it) ! orig 0.
-        if(NO_precip(i,j)) then
+        IF(NO_precip(i,j)) THEN
          qPr(i,j,it)=0.
         else
@@ -530,6 +530,6 @@
      else 
 !------------------------------------------------------------- detrainement 
-      if(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then !mp(i,j).gt.1.e-10) then
-         if(NO_precip(i,j)) then 
+      IF(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then !mp(i,j).gt.1.e-10) THEN
+         IF(NO_precip(i,j)) THEN
           qDi(i,j,it)=qDi(i,j+1,it)
           qPr(i,j,it)=0.
@@ -548,6 +548,6 @@
          endif !precip
 !------------------------------------------------------------- entrainement 
-      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then
-         if(NO_precip(i,j)) then
+      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) THEN
+         IF(NO_precip(i,j)) THEN
           qDi(i,j,it)=(-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it))/(-mp(i,j))
           qPr(i,j,it)=0.
@@ -569,5 +569,5 @@
       else  !mp nul
         qDi(i,j,it)=tr(i,j,it) ! orig 0.
-        if(NO_precip(i,j)) then
+        IF(NO_precip(i,j)) THEN
          qPr(i,j,it)=0.
         else
@@ -586,6 +586,6 @@
 !  DO j=klev,1,-1
 !   DO i=1,klon
-!     if(it.eq.3) then
-!   write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
+!     IF(it.eq.3) THEN
+!   WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
 !!         'zmfdam',zmfdam(i,j,it),'zmfpsi',zmfphi2(i,j,it),&
 !          'zmfdam+zmfpsi',zmfdam(i,j,it)+zmfphi2(i,j,it),'qpmMint',qpmMint(i,j,it),&
@@ -614,47 +614,47 @@
                -zmfdam(i,k,it)*ccntrAA_coef
 ! lessivage courants insatures
-   if(k<=inb(i).and.k>1) then   ! tendances dans le nuage
+   IF(k<=inb(i).and.k>1) then   ! tendances dans le nuage
 !------------------------------------------------------------- detrainement
-      if(mp(i,k+1)>mp(i,k).and.mp(i,k+1)>1.e-10) then
+      IF(mp(i,k+1)>mp(i,k).and.mp(i,k+1)>1.e-10) THEN
         uscavtrac= (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))&
                    + mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-!        if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
+!        IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
 !                    (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
 !                    mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
 !                    'mp',mp(i,k)
 !------------------------------------------------------------- entrainement 
-      elseif(mp(i,k)>mp(i,k+1).and.mp(i,k)>1.e-10) then
+      elseif(mp(i,k)>mp(i,k+1).and.mp(i,k)>1.e-10) THEN
          uscavtrac= mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-!         if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
 !=!------------------------------------------------------------- end ent/det 
       else !        mp(i,k+1)=0. et mp(i,k)=0.    pluie directement sur l environnement
 
-        if(NO_precip(i,k)) then
+        IF(NO_precip(i,k)) THEN
           uscavtrac=0.
-!         if(it.eq.3) write(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
         else
           uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
-!         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
         endif
       endif  ! mp/det/ent
 !------------------------------------------------------------- premiere couche 
    elseif(k==1) then  !                                      mp(1)=0.
-      if(mp(i,2)>1.e-10) then  !detrainement
+      IF(mp(i,2)>1.e-10) then  !detrainement
          uscavtrac= (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it)) !&
 !                   + mp(i,2)*(0.-tr(i,k,it))
 
-!       if(it.eq.3) write(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
+!       IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
 !                  (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
 !                  mp(i,2)*(0.-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
 !                   'mp',mp(i,k)
       else   ! mp(2) = 0 = mp(1) pas de descente insaturee, rien ne se passe s'il ne pleut pas, sinon pluie->env
-        if(NO_precip(i,1)) then
+        IF(NO_precip(i,1)) THEN
           uscavtrac=0.
         else
           uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
         endif
-!         if(it.eq.3) write(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.eq.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
       endif
 
@@ -686,5 +686,5 @@
 !        (paprs(i,k)-paprs(i,k+1))/RG
 
-!      if(it.eq.3)  write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
+!      IF(it.eq.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
 !         'MA td ',dtrcvMA(i,k,it)*dxpres(i,k)/RG,&
 !         ' td',dtrcv(i,k,it)*dxpres(i,k)/RG,'         conservMA ',conservMA,'conserv ',conserv
@@ -692,5 +692,5 @@
 !        ENDDO
 !      ENDDO
-!       if(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+!       IF(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5116)
@@ -88,5 +88,5 @@
      DO j=k-1,1,-1
         DO i=1,klon
-!!           if(mp(i,j+1).ne.0) then
+!!           IF(mp(i,j+1).ne.0) THEN
 !!              zmd(i,j,k)=zmd(i,j+1,k)*min(1.,mp(i,j)/mp(i,j+1))
 !!           ENDif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5116)
@@ -489,6 +489,6 @@
            ! calcul de qd et qp
            !!jyg  (20130119) correction pour le sommet du nuage
-           !!     if(j.GE.inb(i)) THEN       !au-dessus du nuage, sommet inclu
-           if(j>inb(i)) THEN       !au-dessus du nuage
+           !!     IF(j.GE.inb(i)) THEN       !au-dessus du nuage, sommet inclu
+           IF(j>inb(i)) THEN       !au-dessus du nuage
               qDi(i,j,it)=tr(i,j,it)   ! pas de descente => environnement = descente insaturee
               qPr(i,j,it)=0.
@@ -496,6 +496,6 @@
               !  vvv premiere couche du modele ou mp(1)=0  ! det tout le temps  vvv
            ELSEIF(j==1) THEN
-              if(mp(i,2)>1.e-10) THEN !mp(2) non nul -> detrainement (car mp(1) = 0) !ent pas possible
-                 if(NO_precip(i,j)) THEN !pas de precip en (i)
+              IF(mp(i,2)>1.e-10) THEN !mp(2) non nul -> detrainement (car mp(1) = 0) !ent pas possible
+                 IF(NO_precip(i,j)) THEN !pas de precip en (i)
                     qDi(i,j,it)=qDi(i,j+1,it)
                     qPr(i,j,it)=0.
@@ -516,5 +516,5 @@
               ELSE !mp(2) nul -> plus de descente insaturee -> pluie agit sur environnement
                  qDi(i,j,it)=tr(i,j,it) ! orig 0.
-                 if(NO_precip(i,j)) THEN
+                 IF(NO_precip(i,j)) THEN
                     qPr(i,j,it)=0.
                  ELSE
@@ -530,6 +530,6 @@
            ELSE 
               !------------------------------------------------------------- detrainement 
-              if(mp(i,j+1)>mp(i,j).AND.mp(i,j+1)>1.e-10) THEN !mp(i,j).GT.1.e-10) THEN
-                 if(NO_precip(i,j)) THEN 
+              IF(mp(i,j+1)>mp(i,j).AND.mp(i,j+1)>1.e-10) THEN !mp(i,j).GT.1.e-10) THEN
+                 IF(NO_precip(i,j)) THEN
                     qDi(i,j,it)=qDi(i,j+1,it)
                     qPr(i,j,it)=0.
@@ -549,5 +549,5 @@
                  !------------------------------------------------------------- entrainement 
               ELSEIF(mp(i,j)>mp(i,j+1).AND.mp(i,j)>1.e-10) THEN
-                 if(NO_precip(i,j)) THEN
+                 IF(NO_precip(i,j)) THEN
                     qDi(i,j,it)=(-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it))/(-mp(i,j))
                     qPr(i,j,it)=0.
@@ -569,5 +569,5 @@
               ELSE  !mp nul
                  qDi(i,j,it)=tr(i,j,it) ! orig 0.
-                 if(NO_precip(i,j)) THEN
+                 IF(NO_precip(i,j)) THEN
                     qPr(i,j,it)=0.
                  ELSE
@@ -586,6 +586,6 @@
   !  DO j=klev,1,-1
   !   DO i=1,klon
-  !     if(it.eq.3) THEN
-  !   write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
+  !     IF(it.eq.3) THEN
+  !   WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
   !!         'zmfdam',zmfdam(i,j,it),'zmfpsi',zmfphi2(i,j,it),&
   !          'zmfdam+zmfpsi',zmfdam(i,j,it)+zmfphi2(i,j,it),'qpmMint',qpmMint(i,j,it),&
@@ -617,11 +617,11 @@
              -zmfdam(i,k,it)*ccntrAA_3d(i,k)
         ! lessivage courants insatures
-        if(k<=inb(i).AND.k>1) THEN   ! tendances dans le nuage
+        IF(k<=inb(i).AND.k>1) THEN   ! tendances dans le nuage
            !------------------------------------------------------------- detrainement
-           if(mp(i,k+1)>mp(i,k).AND.mp(i,k+1)>1.e-10) THEN
+           IF(mp(i,k+1)>mp(i,k).AND.mp(i,k+1)>1.e-10) THEN
               uscavtrac= (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))&
                    + mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-              !        if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
+              !        IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
               !                    (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
               !                    mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
@@ -631,20 +631,20 @@
               uscavtrac= mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-              !         if(it.eq.3) write(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+              !         IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
               !=!------------------------------------------------------------- end ent/det 
            ELSE !        mp(i,k+1)=0. et mp(i,k)=0.    pluie directement sur l environnement
 
-              if(NO_precip(i,k)) THEN
+              IF(NO_precip(i,k)) THEN
                  uscavtrac=0.
-                 !         if(it.eq.3) write(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
               ELSE
                  uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
-                 !         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
                  !!JE adds
-                 !         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'imp',imp(i,k)
-                 !         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'tr',tr(i,k,it)
-                 !         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'evap',evap(i,k)
-                 !         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'qPr',qPr(i,k,it)
-                 !         if(it.eq.3) write(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'dxpres',dxpres(i,k)
+                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'imp',imp(i,k)
+                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'tr',tr(i,k,it)
+                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'evap',evap(i,k)
+                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'qPr',qPr(i,k,it)
+                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'dxpres',dxpres(i,k)
                  !!Je end
 
@@ -653,19 +653,19 @@
            !------------------------------------------------------------- premiere couche 
         ELSEIF(k==1) THEN  !                                      mp(1)=0.
-           if(mp(i,2)>1.e-10) THEN  !detrainement
+           IF(mp(i,2)>1.e-10) THEN  !detrainement
               uscavtrac= (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it)) !&
               !                   + mp(i,2)*(0.-tr(i,k,it))
 
-              !       if(it.eq.3) write(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
+              !       IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
               !                  (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
               !                  mp(i,2)*(0.-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
               !                   'mp',mp(i,k)
            ELSE   ! mp(2) = 0 = mp(1) pas de descente insaturee, rien ne se passe s'il ne pleut pas, sinon pluie->env
-              if(NO_precip(i,1)) THEN
+              IF(NO_precip(i,1)) THEN
                  uscavtrac=0.
               ELSE
                  uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
               ENDIF
-              !         if(it.eq.3) write(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+              !         IF(it.eq.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
            ENDIF
 
@@ -697,5 +697,5 @@
   !        (paprs(i,k)-paprs(i,k+1))/RG
 
-  !      if(it.eq.3)  write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
+  !      IF(it.eq.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
   !         'MA td ',dtrcvMA(i,k,it)*dxpres(i,k)/RG,&
   !         ' td',dtrcv(i,k,it)*dxpres(i,k)/RG,'         conservMA ',conservMA,'conserv ',conserv
@@ -703,5 +703,5 @@
   !        ENDDO
   !      ENDDO
-  !       if(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+  !       IF(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr_scav
